Bug 1365782 - python-django-model-utils - Django model mixins and utilities
Summary: python-django-model-utils - Django model mixins and utilities
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1369213
TreeView+ depends on / blocked
 
Reported: 2016-08-10 08:26 UTC by Germano Massullo
Modified: 2016-09-13 22:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-13 18:12:57 UTC
fale: fedora-review+


Attachments (Terms of Use)

Comment 1 Fabio Alessandro Locati 2016-08-10 09:29:58 UTC
1. Source0 is broken
2. You can simply check if it's a Fedora or not, instead of Fedora version, since all supported Fedora versions support python3 (line 4)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 14 files have unknown license. Detailed
     output of licensecheck in /home/fale/1365782-python-django-model-
     utils/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://pypi.python.org/packages/source/d/django-model-utils/django-
     model-utils-2.5.2.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -django-model-utils , python3-django-model-utils
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-django-model-utils-2.5.2-1.fc26.noarch.rpm
          python3-django-model-utils-2.5.2-1.fc26.noarch.rpm
          python-django-model-utils-2.5.2-1.fc26.src.rpm
python2-django-model-utils.noarch: W: spelling-error Summary(en_US) mixins -> mixing, mix ins, mix-ins
python2-django-model-utils.noarch: W: spelling-error %description -l en_US mixins -> mixing, mix ins, mix-ins
python2-django-model-utils.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/model_utils/locale/de/LC_MESSAGES/django.mo
python3-django-model-utils.noarch: W: spelling-error Summary(en_US) mixins -> mixing, mix ins, mix-ins
python3-django-model-utils.noarch: W: spelling-error %description -l en_US mixins -> mixing, mix ins, mix-ins
python3-django-model-utils.noarch: W: file-not-in-%lang /usr/lib/python3.5/site-packages/model_utils/locale/de/LC_MESSAGES/django.mo
python-django-model-utils.src: W: spelling-error Summary(en_US) mixins -> mixing, mix ins, mix-ins
python-django-model-utils.src: W: spelling-error %description -l en_US mixins -> mixing, mix ins, mix-ins
python-django-model-utils.src: W: invalid-url Source0: https://pypi.python.org/packages/source/d/django-model-utils/django-model-utils-2.5.2.tar.gz HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
python3-django-model-utils.noarch: W: spelling-error Summary(en_US) mixins -> mixing, mix ins, mix-ins
python3-django-model-utils.noarch: W: spelling-error %description -l en_US mixins -> mixing, mix ins, mix-ins
python3-django-model-utils.noarch: W: file-not-in-%lang /usr/lib/python3.5/site-packages/model_utils/locale/de/LC_MESSAGES/django.mo
python2-django-model-utils.noarch: W: spelling-error Summary(en_US) mixins -> mixing, mix ins, mix-ins
python2-django-model-utils.noarch: W: spelling-error %description -l en_US mixins -> mixing, mix ins, mix-ins
python2-django-model-utils.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/model_utils/locale/de/LC_MESSAGES/django.mo
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
python3-django-model-utils (rpmlib, GLIBC filtered):
    python(abi)
    python3-django
    python3-sphinx
    python3-tox
    python3-twine

python2-django-model-utils (rpmlib, GLIBC filtered):
    python(abi)
    python-tox
    python2-django
    python2-sphinx
    python2-twine



Provides
--------
python3-django-model-utils:
    python3-django-model-utils
    python3.5dist(django-model-utils)

python2-django-model-utils:
    python-django-model-utils
    python2-django-model-utils
    python2.7dist(django-model-utils)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1365782
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Germano Massullo 2016-08-10 10:20:02 UTC
FAS name: germano

Comment 5 Igor Gnatenko 2016-08-10 14:10:40 UTC
> Source0:		https://files.pythonhosted.org/packages/source/%(n=%{pypi_name}; echo ${n:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
don't mix tabs and spaces

> %description
> Django model mixins and utilities
%description
%{summary}.

> %{python2_sitelib}/*
I'm kinda dislike such globbing as if module will start installing some weird files or other modules you will not notice.

* Move BuildRequires under subpackages

Comment 6 Kevin Kofler 2016-08-10 14:26:33 UTC
> * Move BuildRequires under subpackages

Huh? Why? BuildRequires are a global property. They are installed once for the whole build and affect all subpackages. You can technically put them under a subpackage, but they will still affect the whole build process. It is not even always clear for which subpackage any given BuildRequires is. So IMHO it is misleading to put them there. I always put all my BuildRequires in the main section. I have only rarely seen packagers doing it differently (for BuildRequires that are clearly used only to build a specific subpackage).

Comment 7 Germano Massullo 2016-08-10 14:55:47 UTC
(In reply to Igor Gnatenko from comment #5)
> > Source0:		https://files.pythonhosted.org/packages/source/%(n=%{pypi_name}; echo ${n:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
> don't mix tabs and spaces

Fixed.

> > %description
> > Django model mixins and utilities
> %description
> %{summary}.

Fixed.

> > %{python2_sitelib}/*
> I'm kinda dislike such globbing as if module will start installing some
> weird files or other modules you will not notice.

Probably I will take care of that in the future

spec file: https://germano.fedorapeople.org/package_reviews/python-django-model-utils/v2/python-django-model-utils.spec

srpm file: https://germano.fedorapeople.org/package_reviews/python-django-model-utils/v2/python-django-model-utils-2.5.2-1.fc24.src.rpm

Comment 8 Fabio Alessandro Locati 2016-08-21 20:08:15 UTC
APPROVED

Comment 9 Gwyn Ciesla 2016-08-22 14:41:42 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-django-model-utils

Comment 10 Fedora Update System 2016-08-22 16:41:36 UTC
python-django-model-utils-2.5.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5cdda8d68

Comment 11 Fedora Update System 2016-08-22 16:41:44 UTC
python-django-model-utils-2.5.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8076c1cbde

Comment 12 Fedora Update System 2016-08-22 16:41:49 UTC
python-django-model-utils-2.5.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a60529121

Comment 13 Fedora Update System 2016-08-22 23:51:57 UTC
python-django-model-utils-2.5.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a60529121

Comment 14 Fedora Update System 2016-08-23 16:22:05 UTC
python-django-model-utils-2.5.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5cdda8d68

Comment 15 Fedora Update System 2016-08-23 19:51:55 UTC
python-django-model-utils-2.5.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8076c1cbde

Comment 16 Fedora Update System 2016-09-13 18:12:53 UTC
python-django-model-utils-2.5.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-09-13 21:21:40 UTC
python-django-model-utils-2.5.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-09-13 22:25:52 UTC
python-django-model-utils-2.5.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.